Skip to main content

createOrUpdateSecurityGateConfiguration

Create or update a Security Gate configuration

createOrUpdateSecurityGateConfiguration(
input: CreateOrUpdateSecurityGateConfigurationInput!
): CreateOrUpdateSecurityGateConfigurationPayload

Arguments​

createOrUpdateSecurityGateConfiguration.input ● CreateOrUpdateSecurityGateConfigurationInput! non-null input​

Parameters for CreateOrUpdateSecurityGateConfiguration

Type​

CreateOrUpdateSecurityGateConfigurationPayload object​

Autogenerated return type of CreateOrUpdateSecurityGateConfiguration.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the assets query first and use data.assets.collection[].id as assetId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateOrUpdateSecurityGateConfiguration($input: CreateOrUpdateSecurityGateConfigurationInput!) {\n createOrUpdateSecurityGateConfiguration(input: $input) { clientMutationId securityGateConfiguration { id createdAt owner { __typename } } }\n}","variables":{"input":{"assetId":1,"rules":[{}]}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute